Actualización de seguridad del motor Moby de Azure IoT Edge para CVE-2020-13401

Fecha de publicación: 02 junio, 2020

Se ha identificado una vulnerabilidad de seguridad en los componentes del motor Moby de Azure IoT Edge. A las versiones de Windows no les afecta. Conozca los detalles de este problema: CVE-2020-13401.

Siga estos pasos para solucionar el problema en la versión 3.0.12 o posterior del motor Moby:

  1. Detenga el demonio iotedge.
    • sudo systemctl stop iotedge
       
  2. Quite el paquete moby-engine actual.
    • sudo apt-get remove docker
       
  3. Elimine el contexto moby-engine guardado. Esta operación quitará todos los contenedores almacenados en caché.
    • ​​sudo rm -rf /var/lib/docker
       
  4. Siga las instrucciones para instalar moby-engine y compruebe que la versión sea 3.0.12 o posterior después de la instalación.
    •  sudo docker version
       
  5.  Inicie el demonio iotedge.
    •  sudo systemctl start iotedge

Descargue el paquete RPM.

  • Azure IoT Edge
  • Compliance
  • Security

Productos relacionados